Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 599037 - configd.py on windows run_cmd causes .dll failure on execute
Summary: configd.py on windows run_cmd causes .dll failure on execute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby
Version: beta
Hardware: All
OS: Windows
low
medium
Target Milestone: 1.3
: ---
Assignee: Robert Rati
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 559596
TreeView+ depends on / blocked
 
Reported: 2010-06-02 15:01 UTC by Timothy St. Clair
Modified: 2010-10-20 11:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-20 11:33:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Timothy St. Clair 2010-06-02 15:01:39 UTC
Description of problem:
When the configd shells out using run_cmd it appears that the executed command fails, from what looks to be a PATH issue.

Version-Release number of selected component (if applicable):
2.7-0.4

How reproducible:
100%

Steps to Reproduce:
1. disable wallaby and broker run condor_configd.py

  
Actual results:
pop-up saying it could not initialize condor_config_val

Expected results:
non pop-up, clean run

Additional info:
condor_config_val -dump runs cleanly from the command line.  The only thing that I'm aware of that can cause an issue such as this is if run_cmd is not using system PATH env.

Comment 1 Robert Rati 2010-06-03 22:36:55 UTC
This was an issue with the jobhooks python package from condor-job-hooks.  The run_cmd function tries to be safe and use a very limited set of env variables.  However, condor_config_val on windows needs more than a bare minimum to work in some cases.

Fixed in:
condor-job-hooks-1.4-0.4

Comment 5 Martin Kudlej 2010-09-27 12:43:35 UTC
I've tested this on Windows 2003/XP x i386/x86_64 and it works. -->VERIFIED


Note You need to log in before you can comment on or make changes to this bug.